Loading...
Searching...
No Matches
libdar::crc Class Referenceabstract
Private

pure virtual class defining interface of a CRC object More...

`#include <crc.hpp>`

Inherited by libdar::crc_i, and libdar::crc_n.

## Public Member Functions

| crc (const crc &ref)=default
| crc (crc &&ref) noexcept=default
crc & | operator= (const crc &ref)=default
crc & | operator= (crc &&ref) noexcept=default
virtual bool | operator== (const crc &ref) const =0
bool | operator!= (const crc &ref) const
virtual void | compute (const infinint &offset, const char *buffer, U_I length)=0
virtual void | compute (const char *buffer, U_I length)=0
virtual void | clear ()=0
virtual void | dump (proto_generic_file &f) const =0
virtual std::string | crc2str () const =0
virtual infinint | get_size () const =0
virtual crc * | clone () const =0

## Static Public Attributes

static constexpr U_I | OLD_CRC_SIZE = 2

## Detailed Description

pure virtual class defining interface of a CRC object

Definition at line 46 of file crc.hpp.

## Constructor & Destructor Documentation

## crc()

libdar::crc::crc | ( |  | ) |

inline

Definition at line 51 of file crc.hpp.

## Member Function Documentation

## operator!=()

bool libdar::crc::operator!= | ( | const crc & | ref | ) | const

inline

Definition at line 59 of file crc.hpp.

## Member Data Documentation

## OLD_CRC_SIZE

U_I libdar::crc::OLD_CRC_SIZE = 2

static constexpr

Definition at line 49 of file crc.hpp.

The documentation for this class was generated from the following file:

- crc.hpp